[USN-4487-1] libx11 vulnerabilities

Marc Deslauriers marc.deslauriers at canonical.com
Wed Sep 2 13:46:41 UTC 2020


==========================================================================
Ubuntu Security Notice USN-4487-1
September 02, 2020

libx11 vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS
- Ubuntu 16.04 LTS

Summary:

Several security issues were fixed in libx11.

Software Description:
- libx11: None

Details:

Todd Carson discovered that libx11 incorrectly handled certain memory
operations. A local attacker could possibly use this issue to escalate
privileges. (CVE-2020-14344)

Jayden Rivers discovered that libx11 incorrectly handled locales. A local
attacker could possibly use this issue to escalate privileges.
(CVE-2020-14363)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 20.04 LTS:
  libx11-6                        2:1.6.9-2ubuntu1.1

Ubuntu 18.04 LTS:
  libx11-6                        2:1.6.4-3ubuntu0.3

Ubuntu 16.04 LTS:
  libx11-6                        2:1.6.3-1ubuntu2.2

After a standard system update you need to reboot your computer to make all
the necessary changes.

References:
  https://usn.ubuntu.com/4487-1
  CVE-2020-14344, CVE-2020-14363

Package Information:
  https://launchpad.net/ubuntu/+source/libx11/2:1.6.9-2ubuntu1.1
  https://launchpad.net/ubuntu/+source/libx11/2:1.6.4-3ubuntu0.3
  https://launchpad.net/ubuntu/+source/libx11/2:1.6.3-1ubuntu2.2

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 833 bytes
Desc: OpenPGP digital signature
URL: <https://lists.ubuntu.com/archives/ubuntu-security-announce/attachments/20200902/2ac634e0/attachment.sig>


More information about the ubuntu-security-announce mailing list